Rated 4 out of 5 stars

Great Applet ... Works with FF2 ... Will not install in FF3 ... Wish it would Work with Version 3.